/*******************************************************************************
 *  Copyright 2017-2018 Centre for Development of Advanced Computing(C-DAC), Pune
 *  
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *  
 *   http://www.apache.org/licenses/LICENSE-2.0
 *  
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 *******************************************************************************/

package cdac.medinfo.sdk.dcm30_04.templates.enums.cm;

/**
 * This enum represents Code Meaning for Abdominal Veins Lateral
 */
public enum EnumCM_AbdominalVeinsLateral {

	//CID 12113 Abdominal Veins Lateral
	COMMON_ILIAC_VEIN("Common iliac vein"),
	GASTRIC_VEIN("Gastric vein"),
	ILEAL_VEIN("Ileal vein"),
	OVARIAN_VEIN("Ovarian vein"),
	TESTICULAR_VEIN("Testicular Vein"),
	FIRST_LUMBAR_ARTERY("First Lumbar Artery"),
	SECOND_LUMBAR_ARTERY("Second Lumbar Artery"),
	THIRD_LUMBAR_ARTERY("Third Lumbar Artery"),
	FOURTH_LUMBAR_ARTERY("Fourth Lumbar Artery"),
	FIFTH_LUMBAR_ARTERY("Fifth Lumbar Artery"),
	SIXTH_LUMBAR_ARTERY("Sixth Lumbar Artery");
	
	private String value;
	
	EnumCM_AbdominalVeinsLateral(String strvalue)
	{
		this.value = strvalue;
	}
	
	/**
	 * This function returns the String value of this enum.
	 * @return - returns string value of Code Value.
	 */
	public String getValue()
	{
		return value;
	}
}
